/* 
Theme Name: Württemberger Medien
Theme URI: https://github.com/elementor/hello-theme/
Description: Württemberger Medien Elementor Child Theme
Author: Württemberger Medien
Author URI: https://w-medien.de/
Template: hello-elementor
Version: 1.0.1
Text Domain: hello-elemento
r-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/*
    Add your custom styles here
*/
:root {  
	
	--space-4xs: clamp(0.33rem, calc(-0.03vw + 0.33rem), 0.31rem);
    --space-3xs: clamp(0.41rem, calc(0.04vw + 0.4rem), 0.44rem);
    --space-2xs: clamp(0.51rem, calc(0.16vw + 0.48rem), 0.62rem);
    --space-xs: clamp(0.64rem, calc(0.35vw + 0.57rem), 0.88rem);
    --space-s: clamp(0.8rem, calc(0.65vw + 0.67rem), 1.24rem);
    --space-m: clamp(1rem, calc(1.11vw + 0.78rem), 1.75rem);
    --space-l: clamp(1.25rem, calc(1.81vw + 0.89rem), 2.47rem);
    --space-xl: clamp(1.56rem, calc(2.87vw + 0.99rem), 3.5rem);
    --space-2xl: clamp(1.95rem, calc(4.44vw + 1.07rem), 4.95rem);
    --space-3xl: clamp(2.44rem, calc(6.75vw + 1.09rem), 7rem);
    --space-4xl: clamp(3.05rem, calc(10.13vw + 1.02rem), 9.89rem);
	
    --text-xs: clamp(0.56rem, calc(0.1vw + 0.54rem), 0.63rem);
    --text-s: clamp(0.75rem, calc(0.14vw + 0.72rem), 0.84rem);
    --text-m: clamp(1rem, calc(0.19vw + 0.96rem), 1.13rem);
    --text-l: clamp(1.33rem, calc(0.25vw + 1.28rem), 1.5rem);
    --text-xl: clamp(1.78rem, calc(0.33vw + 1.71rem), 2rem);
    --text-2xl: clamp(2.37rem, calc(0.44vw + 2.28rem), 2.66rem);
    --text-3xl: clamp(3.16rem, calc(0.58vw + 3.04rem), 3.55rem);
    --text-4xl: clamp(4.21rem, calc(0.78vw + 4.05rem), 4.74rem);
	
	 --radius-xs: clamp(0.25rem, calc(0vw + 0.25rem), 0.25rem);
    --radius-s: clamp(0.38rem, calc(-0.19vw + 0.54rem), 0.5rem);
    --radius-m: clamp(0.63rem, calc(-0.19vw + 0.79rem), 0.75rem);
    --radius-l: clamp(1rem, calc(-0.37vw + 1.32rem), 1.25rem);
    --radius-xl: clamp(1.63rem, calc(-0.56vw + 2.11rem), 2rem);
    --radius-full: 999rem;
	
    --shadow-xs: 0 1px 2px var(--shadow-primary);
    --shadow-s: 0 1.5px 3px var(--shadow-primary);
    --shadow-m: 0 2px 6px var(--shadow-primary);
    --shadow-l: 0 3px 12px var(--shadow-primary);
    --shadow-xl: 0 6px 48px var(--shadow-primary);

}

/*-----------Header-----------------*/

.header {
  position:fixed;
  top: 0;
  left: 0;
  right: 0;
  transition: transform 0.4s ease-in-out;
}

.hide-header {
  transform: translateY(-100%);
}

/*------------Sticky To-Top-Icon-------------*/
#iconUp {
	display: none;
	cursor: pointer;
}

.herodettelbach{
	min-height:820px !important;
}

/*------------Headline Balance Umbruch-------------*/
h1, h2, h3{
	text-wrap: balance;
}

/*------------Ungewünschter Abstand bei Texten raus-------------*/
p {
  margin-block-end: 0.0rem;!important /* oder ein kleiner Wert wie 5px */
}